/*
 * GNU checksum utility used for Maestro packaging
*/

#ifndef __GNUCKSUM_H__
#define __GNUCKSUM_H__

unsigned int gnucksumfile (FILE *fp, unsigned int *returnLength, unsigned char *buffer, unsigned int bufferLength);
unsigned int gnucksum (const char *file, int verbose);
unsigned int gnucksumbuf (char *buf, unsigned int len);
void gnucksum_start(unsigned int *crc, unsigned int *length);
void gnucksum_accumulate(unsigned int *crc, unsigned int *length, unsigned char *buf, unsigned int bufLength);
unsigned int gnucksum_finish(unsigned int *crc, const unsigned int *length);

#endif /* __CKSUM_H__ */
/* end of file */

